#******************************************************************************
#
# Copyright:   2018-2020 Paul Obermeier (obermeier@poSoft.de)
#
#              See the file "Mawt_License.txt" for information on
#              usage and redistribution of this file, and for a
#              DISCLAIMER OF ALL WARRANTIES.
#
# Description: Tcl index file for the MAWT package.
#
#******************************************************************************

proc __mawtSourcePkgs { dir } {
    source [file join $dir mawtQuery.tcl]
    load [file join $dir mawt@TCL_DEBUG_POSTFIX@[info sharedlibextension]] mawtLib
    source [file join $dir mawtInterface.tcl]
    source [file join $dir mawtUtil.tcl]
    package provide mawt @MAWT_VERSION@
}

if { ! [package vsatisfies [package provide Tcl] 8.5] } {
    return
}
package ifneeded mawt @MAWT_VERSION@ "[list __mawtSourcePkgs $dir]"
